buggNewSense GNU/Linux - Bugs: bug #28489, grub-yeeloong: Linux does not get...

 
 

You are not allowed to post comments on this tracker with your current authentification level.

bug #28489: grub-yeeloong: Linux does not get the right boot parameters

Submitted by:  Sam Geeraerts <samgee>
Submitted on:  Tue Jan 5 18:16:38 2010  
 
Category: gNewSense 3Severity: 3 - Normal
Item Group: mipselStatus: Fixed
Privacy: PublicAssigned to: Karl Goetz <kgoetz>
Open/Closed: Closed

(Jump to the original submission Jump to the original submission)

Sun Jul 14 13:23:59 2013, comment #11:

Parkes' kernel no longer needs 'console=tty' or 'no_aut_cmd'.

Sam Geeraerts <samgee>
Project Administrator
Sun Mar 14 11:30:31 2010, comment #10:

quick update: the grub building issue is in another bug report (about using grub from sid/testing).
there has been some progress on that bug.

Karl Goetz <kgoetz>In charge of this item.
Wed Feb 10 01:31:00 2010, comment #9:

I can't get our grub to rebuild either. it sits running mawk indefinitely. :(
Can someone else have a look at this?

Karl Goetz <kgoetz>In charge of this item.
Tue Feb 9 22:59:22 2010, comment #8:

FTR, I've been unable to make grub from sid build on metad, so we won't be able to switch to it yet.

Karl Goetz <kgoetz>In charge of this item.
Tue Feb 2 12:48:22 2010, comment #7:

good to know. I'll try it tomorrow evening (or the day after). would it be worth me filing a bug in debian asking for the build dep to be gcc (>= 4.3) rather then 4.4?

Karl Goetz <kgoetz>In charge of this item.
Tue Feb 2 12:18:36 2010, comment #6:

gcc-4.3 should work, it's what I used for the previous builds.

Robert Millan <robertmh>
Sat Jan 30 05:31:05 2010, comment #5:

Robert:
grub2 in sid requires gcc-4.4 to build, which is unavailable in gns and lenny-backports.
whats the likelihood we could backport gcc, or should we try to rebuild grub2 with gcc-4.3?
http://packages.debian.org/sid/grub2

I dropped the severity of this bug until we've worked out what happens here.

If we stick with our current grub2 snapshot, I'll bump the version on my patch (previously attached) and upload that as -3. it does mean we lose the cherrypick from your -2 upload, since it isn't mentioned in bzr (at least not in debian/changelog).

Karl Goetz <kgoetz>In charge of this item.
Fri Jan 29 04:21:29 2010, comment #4:

In progress, until we've had a chance to work out whats happening to our grub-yeeloong packages.

Karl Goetz <kgoetz>In charge of this item.
Fri Jan 29 03:57:40 2010, comment #3:

I'm working on a package, it'll be ready tonight.

Karl Goetz <kgoetz>In charge of this item.
Thu Jan 28 22:27:23 2010, comment #2:

Nope, needs to be fixed in the grub-yeeloong package.

Sam Geeraerts <samgee>
Project Administrator
Thu Jan 28 00:04:56 2010, comment #1:

There have been two new uploads to yeeloong-base package (not sure about grub) - has this bug been fixed by either of them?
kk

Karl Goetz <kgoetz>In charge of this item.
Tue Jan 5 18:16:38 2010, original submission:

Linux on the Yeeloong needs the parameters "no_auto_cmd console=tty" to be able to boot. Grub-yeeloong should set those parameters when it's installed, but doesn't.

GRUB gets the default boot parameters from the file /etc/default/grub. When grub-yeeloong is installed this file is constructed from a default template and user input. The package's configuration (debian/config) prompts the user for input and suggests the values it finds in /etc/default/grub. The first time the package is installed that file doesn't exist yet, so the configuration gets its suggested values from a debhelper template file (debian/templates). The template only suggests "quiet" as a boot parameter. The unknowing user just accepts the suggested values and will be unable to boot his machine with GRUB.

It looks to me like the solution would be to add a

Default: no_auto_cmd console=tty

line to the grub2/linux_cmdline block in the templates file.

Sam Geeraerts <samgee>
Project Administrator

 

Attached Files
file #19562:  fix-grub-template.diff added by kgoetz (1kB - text/x-diff - diff of my bzr repo)

 

Depends on the following items: None found

Items that depend on this one: None found

 

Carbon-Copy List
  • -unavailable- added by robertmh (Posted a comment)
  • -unavailable- added by kgoetz (Robert, could you look at this diff? Perhaps catch me on IRC - I see we both built -2 packages, so I expect we will have a bzr conflict to resolve.)
  • -unavailable- added by djbclark (Updated the item)
  • -unavailable- added by samgee (Submitted the item)
  •  

    Please enter the title of George Orwell's famous dystopian book (it's a date):

     

     

    Follow 11 latest changes.

    Date Changed By Updated Field Previous Value => Replaced By
    Sun Jul 14 13:23:59 2013samgeeStatusNeed Info=>Fixed
      Open/ClosedOpen=>Closed
    Sat May 1 00:28:48 2010kgoetzAssigned torobertmh=>kgoetz
    Sat Jan 30 05:31:05 2010kgoetzSeverity5 - Blocker=>3 - Normal
      StatusIn Progress=>Need Info
      Assigned todjbclark=>robertmh
    Fri Jan 29 04:21:29 2010kgoetzStatusConfirmed=>In Progress
    Fri Jan 29 04:20:27 2010kgoetzCarbon-Copy-=>Added robertmh
    Fri Jan 29 04:17:30 2010kgoetzAttached File-=>Added fix-grub-template.diff, #19562
    Wed Jan 13 18:49:30 2010djbclarkSeverity3 - Normal=>5 - Blocker
      Assigned toNone=>djbclark

    Back to the top


    Powered by Savane 3.1-cleanup